### Function: AddThreatTransfer(Originator, Target, Percent)

**Description:** Establishes a hate (threat) transfer link from the originator to the target. A percentage of hate generated by the originator will be transferred to the target. Typically used by abilities where one character siphons or shares aggro with another (e.g., a hate transfer from scout to tank).

**Parameters:**

`Originator`: Spawn – The entity whose threat will be partially transferred.
`Target`: Spawn – The entity receiving the threat.
`Percent`: Int32 – The percentage of hate to transfer (e.g., 25 for 25% transfer).

**Returns:** None.

**Example:**

```lua
-- Example usage (a buff that transfers 30% of a scout's hate to the tank)
AddThreatTransfer(ScoutPlayer, TankPlayer, 30)
```